:root, [data-bs-theme=light] {
  --bs-primary: #2563eb;
  --bs-primary-rgb: 37,99,235;
  --bs-primary-text-emphasis: #0F285E;
  --bs-primary-bg-subtle: #D3E0FB;
  --bs-primary-border-subtle: #A8C1F7;
  --bs-secondary: #64748b;
  --bs-secondary-rgb: 100,116,139;
  --bs-secondary-text-emphasis: #282E38;
  --bs-secondary-bg-subtle: #E0E3E8;
  --bs-secondary-border-subtle: #C1C7D1;
  --bs-success: #16a34a;
  --bs-success-rgb: 22,163,74;
  --bs-success-text-emphasis: #09411E;
  --bs-success-bg-subtle: #D0EDDB;
  --bs-success-border-subtle: #A2DAB7;
  --bs-info: #0ea5e9;
  --bs-info-rgb: 14,165,233;
  --bs-info-text-emphasis: #06425D;
  --bs-info-bg-subtle: #CFEDFB;
  --bs-info-border-subtle: #9FDBF6;
  --bs-warning: #f59e0b;
  --bs-warning-rgb: 245,158,11;
  --bs-warning-text-emphasis: #623F04;
  --bs-warning-bg-subtle: #FDECCE;
  --bs-warning-border-subtle: #FBD89D;
  --bs-danger: #dc2626;
  --bs-danger-rgb: 220,38,38;
  --bs-danger-text-emphasis: #580F0F;
  --bs-danger-bg-subtle: #F8D4D4;
  --bs-danger-border-subtle: #F1A8A8;
  --bs-light: #f8fafc;
  --bs-light-rgb: 248,250,252;
  --bs-light-text-emphasis: #636465;
  --bs-light-bg-subtle: #FEFEFE;
  --bs-light-border-subtle: #FCFDFE;
  --bs-dark: #0f172a;
  --bs-dark-rgb: 15,23,42;
  --bs-dark-text-emphasis: #060911;
  --bs-dark-bg-subtle: #CFD1D4;
  --bs-dark-border-subtle: #9FA2AA;
  --bs-body-color: #1e293b;
  --bs-body-color-rgb: 30,41,59;
  --bs-secondary-color: rgba(30,41,59,0.75);
  --bs-secondary-color-rgb: 30,41,59,0.75;
  --bs-tertiary-color: rgba(30,41,59,0.5);
  --bs-tertiary-color-rgb: 30,41,59,0.5;
  --bs-body-bg: #ffffff;
  --bs-body-bg-rgb: 255,255,255;
  --bs-body-font-family: Inter, sans-serif;
  --bs-body-font-size: 1rem;
  --bs-body-font-weight: 400;
  --bs-body-line-height: 1.6;
  --bs-link-color: #2563eb;
  --bs-link-color-rgb: 37,99,235;
  --bs-link-hover-color: #1d4ed8;
  --bs-link-hover-color-rgb: 29,78,216;
  --bs-link-decoration: none;
  --bs-border-width: 1px;
  --bs-border-style: solid;
  --bs-border-color: #e2e8f0;
  --bs-border-radius: 0.75rem;
  --bs-focus-ring-width: 0.25rem;
  --bs-focus-ring-opacity: 0.4;
  --bs-focus-ring-color: rgba(37, 99, 235, 0.35);
}

.btn-primary {
  --bs-btn-color: #fff;
  --bs-btn-bg: #2563eb;
  --bs-btn-border-color: #2563eb;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #1F54C8;
  --bs-btn-hover-border-color: #1E4FBC;
  --bs-btn-focus-shadow-rgb: 222,232,252;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #1E4FBC;
  --bs-btn-active-border-color: #1C4AB0;
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #2563eb;
  --bs-btn-disabled-border-color: #2563eb;
}

.btn-outline-primary {
  --bs-btn-color: #2563eb;
  --bs-btn-border-color: #2563eb;
  --bs-btn-focus-shadow-rgb: 37,99,235;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #2563eb;
  --bs-btn-hover-border-color: #2563eb;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #2563eb;
  --bs-btn-active-border-color: #2563eb;
  --bs-btn-disabled-color: #2563eb;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #2563eb;
}

.btn-secondary {
  --bs-btn-color: #fff;
  --bs-btn-bg: #64748b;
  --bs-btn-border-color: #64748b;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #556376;
  --bs-btn-hover-border-color: #505D6F;
  --bs-btn-focus-shadow-rgb: 232,234,238;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #505D6F;
  --bs-btn-active-border-color: #4B5768;
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #64748b;
  --bs-btn-disabled-border-color: #64748b;
}

.btn-outline-secondary {
  --bs-btn-color: #64748b;
  --bs-btn-border-color: #64748b;
  --bs-btn-focus-shadow-rgb: 100,116,139;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #64748b;
  --bs-btn-hover-border-color: #64748b;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #64748b;
  --bs-btn-active-border-color: #64748b;
  --bs-btn-disabled-color: #64748b;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #64748b;
}

.btn-success {
  --bs-btn-color: #000000;
  --bs-btn-bg: #16a34a;
  --bs-btn-border-color: #16a34a;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #39B165;
  --bs-btn-hover-border-color: #2DAC5C;
  --bs-btn-focus-shadow-rgb: 3,24,11;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #45B56E;
  --bs-btn-active-border-color: #2DAC5C;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #16a34a;
  --bs-btn-disabled-border-color: #16a34a;
}

.btn-outline-success {
  --bs-btn-color: #16a34a;
  --bs-btn-border-color: #16a34a;
  --bs-btn-focus-shadow-rgb: 22,163,74;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #16a34a;
  --bs-btn-hover-border-color: #16a34a;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #16a34a;
  --bs-btn-active-border-color: #16a34a;
  --bs-btn-disabled-color: #16a34a;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #16a34a;
}

.btn-info {
  --bs-btn-color: #000000;
  --bs-btn-bg: #0ea5e9;
  --bs-btn-border-color: #0ea5e9;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #32B3EC;
  --bs-btn-hover-border-color: #26AEEB;
  --bs-btn-focus-shadow-rgb: 2,25,35;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #3EB7ED;
  --bs-btn-active-border-color: #26AEEB;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #0ea5e9;
  --bs-btn-disabled-border-color: #0ea5e9;
}

.btn-outline-info {
  --bs-btn-color: #0ea5e9;
  --bs-btn-border-color: #0ea5e9;
  --bs-btn-focus-shadow-rgb: 14,165,233;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #0ea5e9;
  --bs-btn-hover-border-color: #0ea5e9;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #0ea5e9;
  --bs-btn-active-border-color: #0ea5e9;
  --bs-btn-disabled-color: #0ea5e9;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #0ea5e9;
}

.btn-warning {
  --bs-btn-color: #000000;
  --bs-btn-bg: #f59e0b;
  --bs-btn-border-color: #f59e0b;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #F7AD30;
  --bs-btn-hover-border-color: #F6A823;
  --bs-btn-focus-shadow-rgb: 37,24,2;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #F7B13C;
  --bs-btn-active-border-color: #F6A823;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #f59e0b;
  --bs-btn-disabled-border-color: #f59e0b;
}

.btn-outline-warning {
  --bs-btn-color: #f59e0b;
  --bs-btn-border-color: #f59e0b;
  --bs-btn-focus-shadow-rgb: 245,158,11;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #f59e0b;
  --bs-btn-hover-border-color: #f59e0b;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #f59e0b;
  --bs-btn-active-border-color: #f59e0b;
  --bs-btn-disabled-color: #f59e0b;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #f59e0b;
}

.btn-danger {
  --bs-btn-color: #fff;
  --bs-btn-bg: #dc2626;
  --bs-btn-border-color: #dc2626;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #BB2020;
  --bs-btn-hover-border-color: #B01E1E;
  --bs-btn-focus-shadow-rgb: 250,222,222;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #B01E1E;
  --bs-btn-active-border-color: #A51D1D;
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #dc2626;
  --bs-btn-disabled-border-color: #dc2626;
}

.btn-outline-danger {
  --bs-btn-color: #dc2626;
  --bs-btn-border-color: #dc2626;
  --bs-btn-focus-shadow-rgb: 220,38,38;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #dc2626;
  --bs-btn-hover-border-color: #dc2626;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #dc2626;
  --bs-btn-active-border-color: #dc2626;
  --bs-btn-disabled-color: #dc2626;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #dc2626;
}

.btn-light {
  --bs-btn-color: #000000;
  --bs-btn-bg: #f8fafc;
  --bs-btn-border-color: #f8fafc;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #D3D5D6;
  --bs-btn-hover-border-color: #C6C8CA;
  --bs-btn-focus-shadow-rgb: 37,38,38;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #C6C8CA;
  --bs-btn-active-border-color: #BABCBD;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #f8fafc;
  --bs-btn-disabled-border-color: #f8fafc;
}

.btn-outline-light {
  --bs-btn-color: #f8fafc;
  --bs-btn-border-color: #f8fafc;
  --bs-btn-focus-shadow-rgb: 248,250,252;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #f8fafc;
  --bs-btn-hover-border-color: #f8fafc;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #f8fafc;
  --bs-btn-active-border-color: #f8fafc;
  --bs-btn-disabled-color: #f8fafc;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #f8fafc;
}

.btn-dark {
  --bs-btn-color: #fff;
  --bs-btn-bg: #0f172a;
  --bs-btn-border-color: #0f172a;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #0D1424;
  --bs-btn-hover-border-color: #0C1222;
  --bs-btn-focus-shadow-rgb: 219,220,223;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #0C1222;
  --bs-btn-active-border-color: #0B1120;
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #0f172a;
  --bs-btn-disabled-border-color: #0f172a;
}

.btn-outline-dark {
  --bs-btn-color: #0f172a;
  --bs-btn-border-color: #0f172a;
  --bs-btn-focus-shadow-rgb: 15,23,42;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #0f172a;
  --bs-btn-hover-border-color: #0f172a;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #0f172a;
  --bs-btn-active-border-color: #0f172a;
  --bs-btn-disabled-color: #0f172a;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #0f172a;
}

[data-bs-theme=dark] {
  --bs-primary: #3b82f6;
  --bs-primary-rgb: 59,130,246;
  --bs-primary-text-emphasis: #89B4FA;
  --bs-primary-bg-subtle: #0C1A31;
  --bs-primary-border-subtle: #234E94;
  --bs-secondary: #94a3b8;
  --bs-secondary-rgb: 148,163,184;
  --bs-secondary-text-emphasis: #BFC8D4;
  --bs-secondary-bg-subtle: #1E2125;
  --bs-secondary-border-subtle: #59626E;
  --bs-success: #22c55e;
  --bs-success-rgb: 34,197,94;
  --bs-success-text-emphasis: #7ADC9E;
  --bs-success-bg-subtle: #072713;
  --bs-success-border-subtle: #147638;
  --bs-info: #38bdf8;
  --bs-info-rgb: 56,189,248;
  --bs-info-text-emphasis: #88D7FB;
  --bs-info-bg-subtle: #0B2632;
  --bs-info-border-subtle: #227195;
  --bs-warning: #fbbf24;
  --bs-warning-rgb: 251,191,36;
  --bs-warning-text-emphasis: #FDD97C;
  --bs-warning-bg-subtle: #322607;
  --bs-warning-border-subtle: #977316;
  --bs-danger: #ef4444;
  --bs-danger-rgb: 239,68,68;
  --bs-danger-text-emphasis: #F58F8F;
  --bs-danger-bg-subtle: #300E0E;
  --bs-danger-border-subtle: #8F2929;
  --bs-light: #1e293b;
  --bs-light-rgb: 30,41,59;
  --bs-light-text-emphasis: #787F89;
  --bs-light-bg-subtle: #06080C;
  --bs-light-border-subtle: #121923;
  --bs-dark: #020617;
  --bs-dark-rgb: 2,6,23;
  --bs-dark-text-emphasis: #676A74;
  --bs-dark-bg-subtle: #000105;
  --bs-dark-border-subtle: #01040E;
  --bs-body-color: #e2e8f0;
  --bs-body-color-rgb: 226,232,240;
  --bs-secondary-color: rgba(226,232,240,0.75);
  --bs-secondary-color-rgb: 226,232,240,0.75;
  --bs-tertiary-color: rgba(226,232,240,0.5);
  --bs-tertiary-color-rgb: 226,232,240,0.5;
  --bs-body-bg: #020617;
  --bs-body-bg-rgb: 2,6,23;
  --bs-link-color: #60a5fa;
  --bs-link-color-rgb: 96,165,250;
  --bs-link-hover-color: #93c5fd;
  --bs-link-hover-color-rgb: 147,197,253;
  --bs-border-color: #1e293b;
}

[data-bs-theme=dark] .btn-primary, .btn-primary[data-bs-theme=dark] {
  --bs-btn-color: #000000;
  --bs-btn-bg: #3b82f6;
  --bs-btn-border-color: #3b82f6;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #5895F7;
  --bs-btn-hover-border-color: #4F8FF7;
  --bs-btn-focus-shadow-rgb: 9,20,37;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #629BF8;
  --bs-btn-active-border-color: #4F8FF7;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #3b82f6;
  --bs-btn-disabled-border-color: #3b82f6;
}

[data-bs-theme=dark] .btn-outline-primary, .btn-outline-primary[data-bs-theme=dark] {
  --bs-btn-color: #3b82f6;
  --bs-btn-border-color: #3b82f6;
  --bs-btn-focus-shadow-rgb: 59,130,246;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #3b82f6;
  --bs-btn-hover-border-color: #3b82f6;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #3b82f6;
  --bs-btn-active-border-color: #3b82f6;
  --bs-btn-disabled-color: #3b82f6;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #3b82f6;
}

[data-bs-theme=dark] .btn-secondary, .btn-secondary[data-bs-theme=dark] {
  --bs-btn-color: #000000;
  --bs-btn-bg: #94a3b8;
  --bs-btn-border-color: #94a3b8;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #A4B1C3;
  --bs-btn-hover-border-color: #9FACBF;
  --bs-btn-focus-shadow-rgb: 22,24,28;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #A9B5C6;
  --bs-btn-active-border-color: #9FACBF;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #94a3b8;
  --bs-btn-disabled-border-color: #94a3b8;
}

[data-bs-theme=dark] .btn-outline-secondary, .btn-outline-secondary[data-bs-theme=dark] {
  --bs-btn-color: #94a3b8;
  --bs-btn-border-color: #94a3b8;
  --bs-btn-focus-shadow-rgb: 148,163,184;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #94a3b8;
  --bs-btn-hover-border-color: #94a3b8;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #94a3b8;
  --bs-btn-active-border-color: #94a3b8;
  --bs-btn-disabled-color: #94a3b8;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #94a3b8;
}

[data-bs-theme=dark] .btn-success, .btn-success[data-bs-theme=dark] {
  --bs-btn-color: #000000;
  --bs-btn-bg: #22c55e;
  --bs-btn-border-color: #22c55e;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #43CE76;
  --bs-btn-hover-border-color: #38CB6E;
  --bs-btn-focus-shadow-rgb: 5,30,14;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #4ED17E;
  --bs-btn-active-border-color: #38CB6E;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #22c55e;
  --bs-btn-disabled-border-color: #22c55e;
}

[data-bs-theme=dark] .btn-outline-success, .btn-outline-success[data-bs-theme=dark] {
  --bs-btn-color: #22c55e;
  --bs-btn-border-color: #22c55e;
  --bs-btn-focus-shadow-rgb: 34,197,94;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #22c55e;
  --bs-btn-hover-border-color: #22c55e;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #22c55e;
  --bs-btn-active-border-color: #22c55e;
  --bs-btn-disabled-color: #22c55e;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #22c55e;
}

[data-bs-theme=dark] .btn-info, .btn-info[data-bs-theme=dark] {
  --bs-btn-color: #000000;
  --bs-btn-bg: #38bdf8;
  --bs-btn-border-color: #38bdf8;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #56C7F9;
  --bs-btn-hover-border-color: #4CC4F9;
  --bs-btn-focus-shadow-rgb: 8,28,37;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #60CAF9;
  --bs-btn-active-border-color: #4CC4F9;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #38bdf8;
  --bs-btn-disabled-border-color: #38bdf8;
}

[data-bs-theme=dark] .btn-outline-info, .btn-outline-info[data-bs-theme=dark] {
  --bs-btn-color: #38bdf8;
  --bs-btn-border-color: #38bdf8;
  --bs-btn-focus-shadow-rgb: 56,189,248;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #38bdf8;
  --bs-btn-hover-border-color: #38bdf8;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #38bdf8;
  --bs-btn-active-border-color: #38bdf8;
  --bs-btn-disabled-color: #38bdf8;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #38bdf8;
}

[data-bs-theme=dark] .btn-warning, .btn-warning[data-bs-theme=dark] {
  --bs-btn-color: #000000;
  --bs-btn-bg: #fbbf24;
  --bs-btn-border-color: #fbbf24;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #FCC945;
  --bs-btn-hover-border-color: #FBC53A;
  --bs-btn-focus-shadow-rgb: 38,29,5;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #FCCC50;
  --bs-btn-active-border-color: #FBC53A;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #fbbf24;
  --bs-btn-disabled-border-color: #fbbf24;
}

[data-bs-theme=dark] .btn-outline-warning, .btn-outline-warning[data-bs-theme=dark] {
  --bs-btn-color: #fbbf24;
  --bs-btn-border-color: #fbbf24;
  --bs-btn-focus-shadow-rgb: 251,191,36;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #fbbf24;
  --bs-btn-hover-border-color: #fbbf24;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #fbbf24;
  --bs-btn-active-border-color: #fbbf24;
  --bs-btn-disabled-color: #fbbf24;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #fbbf24;
}

[data-bs-theme=dark] .btn-danger, .btn-danger[data-bs-theme=dark] {
  --bs-btn-color: #000000;
  --bs-btn-bg: #ef4444;
  --bs-btn-border-color: #ef4444;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #F16060;
  --bs-btn-hover-border-color: #F15757;
  --bs-btn-focus-shadow-rgb: 36,10,10;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #F26969;
  --bs-btn-active-border-color: #F15757;
  --bs-btn-disabled-color: #000000;
  --bs-btn-disabled-bg: #ef4444;
  --bs-btn-disabled-border-color: #ef4444;
}

[data-bs-theme=dark] .btn-outline-danger, .btn-outline-danger[data-bs-theme=dark] {
  --bs-btn-color: #ef4444;
  --bs-btn-border-color: #ef4444;
  --bs-btn-focus-shadow-rgb: 239,68,68;
  --bs-btn-hover-color: #000000;
  --bs-btn-hover-bg: #ef4444;
  --bs-btn-hover-border-color: #ef4444;
  --bs-btn-active-color: #000000;
  --bs-btn-active-bg: #ef4444;
  --bs-btn-active-border-color: #ef4444;
  --bs-btn-disabled-color: #ef4444;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #ef4444;
}

[data-bs-theme=dark] .btn-light, .btn-light[data-bs-theme=dark] {
  --bs-btn-color: #fff;
  --bs-btn-bg: #1e293b;
  --bs-btn-border-color: #1e293b;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #1A2332;
  --bs-btn-hover-border-color: #18212F;
  --bs-btn-focus-shadow-rgb: 221,223,226;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #18212F;
  --bs-btn-active-border-color: #171F2C;
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #1e293b;
  --bs-btn-disabled-border-color: #1e293b;
}

[data-bs-theme=dark] .btn-outline-light, .btn-outline-light[data-bs-theme=dark] {
  --bs-btn-color: #1e293b;
  --bs-btn-border-color: #1e293b;
  --bs-btn-focus-shadow-rgb: 30,41,59;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #1e293b;
  --bs-btn-hover-border-color: #1e293b;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #1e293b;
  --bs-btn-active-border-color: #1e293b;
  --bs-btn-disabled-color: #1e293b;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #1e293b;
}

[data-bs-theme=dark] .btn-dark, .btn-dark[data-bs-theme=dark] {
  --bs-btn-color: #fff;
  --bs-btn-bg: #020617;
  --bs-btn-border-color: #020617;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #020514;
  --bs-btn-hover-border-color: #020512;
  --bs-btn-focus-shadow-rgb: 217,218,220;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #020512;
  --bs-btn-active-border-color: #020511;
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: #020617;
  --bs-btn-disabled-border-color: #020617;
}

[data-bs-theme=dark] .btn-outline-dark, .btn-outline-dark[data-bs-theme=dark] {
  --bs-btn-color: #020617;
  --bs-btn-border-color: #020617;
  --bs-btn-focus-shadow-rgb: 2,6,23;
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: #020617;
  --bs-btn-hover-border-color: #020617;
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: #020617;
  --bs-btn-active-border-color: #020617;
  --bs-btn-disabled-color: #020617;
  --bs-btn-disabled-bg: transparent;
  --bs-btn-disabled-border-color: #020617;
}

